# Uses of Interface
org.opensaml.soap.wssecurity.SecurityTokenReference

Packages that use SecurityTokenReference
Package
Description
org.opensaml.soap.wssecurity.impl
XML Object provider implementations for WS-Security.
org.opensaml.soap.wstrust
XMLObject interfaces for WS-Trust 1.3 elements.
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of SecurityTokenReference in org.opensaml.soap.wssecurity.impl

Classes in org.opensaml.soap.wssecurity.impl that implement SecurityTokenReference
Modifier and Type
Class
Description
`class`
`SecurityTokenReferenceImpl`
SecurityTokenReferenceImpl.
Methods in org.opensaml.soap.wssecurity.impl that return SecurityTokenReference
Modifier and Type
Method
Description
`SecurityTokenReference`
SecurityTokenReferenceBuilder.`buildObject()`
Builds a WS-Security object of the given type.
`SecurityTokenReference`
SecurityTokenReferenceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of SecurityTokenReference in org.opensaml.soap.wstrust

Methods in org.opensaml.soap.wstrust that return SecurityTokenReference
Modifier and Type
Method
Description
`SecurityTokenReference`
RequestedReferenceType.`getSecurityTokenReference()`
Returns the wsse:SecurityTokenReference child element.
Methods in org.opensaml.soap.wstrust with parameters of type SecurityTokenReference
Modifier and Type
Method
Description
`void`
RequestedReferenceType.`setSecurityTokenReference(SecurityTokenReference securityTokenReference)`
Sets the wsse:SecurityTokenReference child element.

## Uses of SecurityTokenReference in org.opensaml.soap.wstrust.impl

Fields in org.opensaml.soap.wstrust.impl declared as SecurityTokenReference
Modifier and Type
Field
Description
`private SecurityTokenReference`
RequestedReferenceTypeImpl.`securityTokenReference`
SecurityTokenReference child element.
Methods in org.opensaml.soap.wstrust.impl that return SecurityTokenReference
Modifier and Type
Method
Description
`SecurityTokenReference`
RequestedReferenceTypeImpl.`getSecurityTokenReference()`
Returns the wsse:SecurityTokenReference child element.
Methods in org.opensaml.soap.wstrust.impl with parameters of type SecurityTokenReference
Modifier and Type
Method
Description
`void`
RequestedReferenceTypeImpl.`setSecurityTokenReference(SecurityTokenReference newSecurityTokenReference)`
Sets the wsse:SecurityTokenReference child element.